close all;
clear all;
clc;


g=9.81;                             %parametri della simulazione
L=0.1;
csi=0.05;
lamda=0.1;
r=1.8;

fc=32;                              %Frequenza di campionamento

%Routine per non tener conto del transitorio iniziale
%Scarta i primi n1 cicli e tiene conto dei successivi n2

n1=1000;                              %Cicli da scartare
n2=250;                              %Successivi cili da considerare
T_for=2*pi/(r*sqrt(g/L));           %Periodo dell'azione forzante
s_start=floor(n1*T_for*fc)+1;         %Primo campine da considerare
s_stop=ceil((n1+n2)*T_for*fc);      %Ultimo campione da considerare
s_for=T_for*fc;                     %Numero di campioni in un periodo dell'azione forzante


Tf=(n1+n2+1)*T_for;                 %Durata delle simulazioni
Tc=1/fc;                            %Periodo di campionamento
nS=Tf/Tc;                           %Numero di Campioni di ogni simulazione

x0=pi;                            %Condizioni Iniziali
xp0=0.01

sim('sim_pendolo',Tf)

figure

    plot(x(s_start:s_stop,2),xp(s_start:s_stop,2));
    title('Spazio delle fasi')
    hold on
    axis([-pi pi -8  8])




